Skip to main content
GET
Get all transactions for a bank account

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

accountId
integer
required

The bank account identifier

Query Parameters

search
string | null

The search query.

Maximum string length: 255
per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

The field to sort by.

Available options:
transaction_date,
created_at,
debit,
credit
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
type
enum<string>

Filter by transaction type.

Available options:
collection,
payment,
transfer,
bank_commission,
opening_balance
payment_method
enum<string>

Filter by payment method.

Available options:
bank_account,
transfer_cash,
other,
clinic_credit_card,
credit_card,
private_insurance,
sgk
currency_id
integer | null

Filter by currency ID.

transaction_date_from
string<date-time> | null

Filter records on or after this transaction date (YYYY-MM-DD).

transaction_date_to
string<date-time> | null

Filter records on or before this transaction date (YYYY-MM-DD).

Response

Paginated set of AccountTransactionResource

data
AccountTransactionResource · object[]
required
meta
object
required